/**
 *	15-100, 15-111 Intro sections
 *	Class FileInput
 *	@author	Jim Roberts, Mark Stehlik, Don Slater, Dominic Jonak
 *	@Date	09/20/01, 9/25/02
 */

import java.io.*;
import java.util.*;

public class FileInput 
{
    /**
     * instance variables
     * FileReader, BufferedReader, String, String, StringTokenizer
     */

    private FileReader textFile;
    private BufferedReader file;
    String str;
    String fileName;

    /**
     *
     * the prompt argument can be used to ask the user to specify a
     * filename
     * catches IOException
     * @param String prompt
     */
    
    public FileInput(String fileName) 
    {
	try {
	    textFile = new FileReader(fileName);
	    file = new BufferedReader(textFile);

	    System.out.println("File " + fileName + " has been opened.");
	} catch(IOException e) {
	    System.out.println("Error opening file " + fileName + ".");
	    System.out.println("Program will terminate.");
	    System.exit(1);
	}
    }

    /**
     * closes open file
     * uses instance variables file, fileName, and io
     * catches IOException
     */

    public void close() 
    {
	try {
	    file.close();
	    System.out.println("File " + fileName + " has been closed.");
	} catch (IOException e) {
	    System.out.println("Error closing file " + fileName + ".");
	    System.out.println("Program will terminate.");
	    System.exit(1);
	}
    }

    /**
     * reads a line from file
     * catches IOException
     * @return boolean
     */

    public String readLine() 
    {
	try {
	    str = file.readLine();
	} catch (IOException e) {
	    System.out.println("Error reading from file " + fileName + ".");
	    System.out.println("Program will terminate.");
	    System.exit(1);
	}
	return str;
    }
}
